ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:crafting_shaped",
  "key": {
    "M": {
      "item": "farmersdelight:milk_bottle"
    },
    "S": {
      "item": "ddc:grain_of_salt"
    },
    "B": {
      "item": "delightful:animal_fat"
    },
    "W": {
      "item": "minecraft:wheat"
    }
  },
  "pattern": [
    "MSB",
    "WWW"
  ],
  "result": {
    "item": "farmersdelight:pie_crust"
  }
    })
    event.remove({output:'farmersdelight:pie_crust'})
})